<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>com.house365</groupId>
	<artifactId>house365-tags</artifactId>
	<version>1.0.0-SNAPSHOT</version>
	<packaging>jar</packaging>

	<name>house365-tags</name>
	<url>http://maven.apache.org</url>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<spring.version>4.1.4.RELEASE</spring.version>
		<house365.version>1.0.0-SNAPSHOT</house365.version>
		<jackson.version>2.4.4</jackson.version>
        <jdk.version>1.8</jdk.version>
	</properties>

<!--	<repositories>-->
<!--		<repository>-->
<!--			<id>public</id>-->
<!--			<name>public</name>-->
<!--			<url>http://192.168.108.60/nexus/repository/public/</url>-->
<!--		</repository>-->
<!--	</repositories>-->
<!--	<pluginRepositories>-->
<!--		<pluginRepository>-->
<!--			<id>public</id>-->
<!--			<name>public</name>-->
<!--			<url>http://192.168.108.60/nexus/repository/public/</url>-->
<!--		</pluginRepository>-->
<!--	</pluginRepositories>-->
<!--	<distributionManagement>-->
<!--		<snapshotRepository>-->
<!--			<id>snapshots</id>-->
<!--			<name>Snapshots</name>-->
<!--			<url>http://192.168.108.60/nexus/repository/snapshots/</url>-->
<!--		</snapshotRepository>-->
<!--		<repository>-->
<!--			<id>releases</id>-->
<!--			<name>Releases</name>-->
<!--			<url>http://192.168.108.60/nexus/repository/releases/</url>-->
<!--		</repository>-->
<!--	</distributionManagement>-->

	<dependencies>
		<!-- junit begin -->
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.11</version>
			<scope>test</scope>
		</dependency>
		<!-- junit begin -->
		
		<!-- javax servlet begin -->
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>servlet-api</artifactId>
			<version>2.5</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>javax.servlet.jsp</groupId>
			<artifactId>jsp-api</artifactId>
			<version>2.2</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>jstl</artifactId>
			<version>1.1.2</version>
		</dependency>
		<!-- javax servlet end -->
		
		<!-- spring begin -->
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-webmvc</artifactId>
			<version>${spring.version}</version>
		</dependency>
		<!-- spring eng -->
		
		<!-- slf4j begin -->
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>1.6.1</version>
		</dependency>
		<!-- slf4j end -->
		
		<!-- commons-lang3 begin -->
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-lang3</artifactId>
			<version>3.0.1</version>
		</dependency>
		<!-- commons-lang3 end -->
		
		<!-- JSON begin -->
		<dependency>
			<groupId>net.sf.json-lib</groupId>
			<artifactId>json-lib</artifactId>
			<version>2.4</version>
			<classifier>jdk15</classifier>
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-databind</artifactId>
			<version>${jackson.version}</version>
		</dependency>
		<!-- JSON end -->
	</dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.2</version>
                <configuration>
                    <source>${jdk.version}</source>
                    <target>${jdk.version}</target>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>
